#include <iostream>

using namespace std;

int main()
{
    int n,u,v,a,c,x,mi,ma;
    cin>>n>>x;
    int niz[n];
    mi=x;
    ma=x;
   for(int i=0;i<n;i++){
    cin>>a;
    niz[i]=a;
    if(a<mi){mi=a;}
    if(a>ma){ma=a;}
    }
int e=mi;
int s=ma;
int x1=x;
if(mi<0){
    e=0-mi;
}
if(x<0){
    x1=0-x;
}
if(ma<0){
    s=0-ma;
}

    if(mi<x&&ma>x){
           u= (x-mi)*2+s;
     v=(ma-x)*2+e;

        c=min(u,v);
    }
    else{
    if(mi<0)
        {e=0-mi;
        if(e>ma||ma<0)
         c=max(e,s)+x1;
         }

                c=max(e,s)-x1;}
    cout<<c;

}